<template>
  <div>
    <b-icon-info-circle-fill
      id="popover-target-1"
      variant="info"
      class="iconInfo"
    />
    <b-popover target="popover-target-1" triggers="hover" placement="top">
      <template v-slot:title>Puntos Intermedios</template>
      Los puntos intermedios son puntos de almacenaje, montaje y/o desinfección
      de los productos fabricados por los makers, desde donde se repartiran a
      los consumidores de forma más estandarizada
      <br />Crea aqui tus puntos intermedios, como podrian ser
      <i>Centros de Bomberos, Comisarias...</i>
    </b-popover>
    <b-container fluid>
      <b-row>
        <b-col xs="6">
          <h2>Puntos Intermedios</h2>
        </b-col>
        <b-col xs="6" class="d-flex justify-content-end">
          <b-button
            variant="primary"
            @click="newIntermediatePoint"
          >Nuevo Punto intermedio</b-button
          >
        </b-col>
      </b-row>
      <b-row>
        <PersonList
          :title="''"
          ref="person_list"
          :preset_filters="{ role: 8 }"
          @person-click="onRowClicked"
        />
      </b-row>
      <b-modal
        ref="person_modal"
        centered
        size="lg"
        title="Punto Intermedio"
        hide-footer
      >
        <PersonForm
          :preloadedValues="form"
          @person-saved="onPersonSaved"
          @cancelClick="$refs.person_modal.hide()"
        />
      </b-modal>
    </b-container>
  </div>
</template>

<script>
import PersonList from "@/components/PersonList";
import PersonForm from "@/components/PersonForm";

export default {
  name: "intermediate-view",
  components: {
    PersonList,
    PersonForm
  },
  data() {
    return {
      form: {
        role: 8
      }
    };
  },
  methods: {
    onRowClicked(data) {
      this.form = Object.assign({}, data);
      this.$refs.person_modal.show();
    },
    onPersonSaved() {
      this.$refs.person_modal.hide();
      this.$refs.person_list.refresh();
    },
    newIntermediatePoint() {
      this.form = { role: 8 };
      this.$refs.person_modal.show();
    }
  }
};
</script>
